summaryrefslogtreecommitdiffstats
path: root/target/linux/brcm-2.4/base-files/default/sbin
diff options
context:
space:
mode:
authorTim Yardley <lst@openwrt.org>2007-03-02 18:17:40 +0000
committerTim Yardley <lst@openwrt.org>2007-03-02 18:17:40 +0000
commit484609eeb06618dd2581f93ba57d0023a1f3adee (patch)
tree7f04a17039bdac5a306e1033a79e042b810051dd /target/linux/brcm-2.4/base-files/default/sbin
parent91e5dba2c76d9185cc06c32feb51b8b0d1c310ca (diff)
downloadmaster-31e0f0ae-484609eeb06618dd2581f93ba57d0023a1f3adee.tar.gz
master-31e0f0ae-484609eeb06618dd2581f93ba57d0023a1f3adee.tar.bz2
master-31e0f0ae-484609eeb06618dd2581f93ba57d0023a1f3adee.zip
commit profile support for base-files... patches still need to be done
SVN-Revision: 6465
Diffstat (limited to 'target/linux/brcm-2.4/base-files/default/sbin')
-rwxr-xr-xtarget/linux/brcm-2.4/base-files/default/sbin/hotplug.failsafe4
-rwxr-xr-xtarget/linux/brcm-2.4/base-files/default/sbin/mount_root31
2 files changed, 35 insertions, 0 deletions
diff --git a/target/linux/brcm-2.4/base-files/default/sbin/hotplug.failsafe b/target/linux/brcm-2.4/base-files/default/sbin/hotplug.failsafe
new file mode 100755
index 0000000000..0544339de8
--- /dev/null
+++ b/target/linux/brcm-2.4/base-files/default/sbin/hotplug.failsafe
@@ -0,0 +1,4 @@
+#!/bin/sh
+case "$1" in
+ button) kill -USR1 1;;
+esac
diff --git a/target/linux/brcm-2.4/base-files/default/sbin/mount_root b/target/linux/brcm-2.4/base-files/default/sbin/mount_root
new file mode 100755
index 0000000000..ffa6072c66
--- /dev/null
+++ b/target/linux/brcm-2.4/base-files/default/sbin/mount_root
@@ -0,0 +1,31 @@
+#!/bin/sh
+# Copyright (C) 2006 OpenWrt.org
+
+is_dirty() {
+ grep Broadcom /proc/cpuinfo >&- || return 1
+ OFFSET="$(($(hexdump -v /dev/mtdblock/1 -s 20 -n 2 -e '"%d"')-1))"
+ return $(hexdump -v /dev/mtdblock/1 -s $OFFSET -n 1 -e '"%d"')
+}
+
+if [ "$1" != "failsafe" ]; then
+ mtd unlock linux
+ mount | grep jffs2 >&-
+ if [ $? = 0 ] ; then
+ mount -o remount,rw /dev/root /
+ else
+ . /bin/firstboot
+ is_dirty
+ [ $? != 0 ] && {
+ echo "switching to jffs2"
+ mount /dev/mtdblock/4 /jffs -t jffs2
+ fopivot /jffs /rom
+ } || {
+ echo "jffs2 not ready yet; using ramdisk"
+ ramoverlay
+ }
+ fi
+fi
+
+mkdir -p /dev/pts
+mount none /dev/pts -t devpts 2>&-
+grep sysfs /proc/filesystems >/dev/null && mount -t sysfs none /sys 2>&-